import java.awt.*;

class Haupt{
	public static void main(String[] para){
		Ampelanlage mAnlage = new Ampelanlage();
		mAnlage.steuern();
		
	}
}

class Ampelanlage extends Zeichenblatt{

	Ampel mAmpel;
	FGAmpel mFGA, mFGA2;

        public Ampelanlage(){     // alle Ampeln erzeugen
                super("kreuzung.gif");     
		mAmpel=new Ampel(100,100,0);
		mFGA = new FGAmpel(300,270,0,this);
		mFGA2 = new FGAmpel(500,170,0,this);
		setVisible(true);
        }

        public void paint(Graphics page){    //   Zeichenbefehl für Hintergrund und alle Ampeln
		super.paint(page);
		try{
 			mAmpel.xpaint(page);
			mFGA.xpaint(page);
			mFGA2.xpaint(page);
		}
		catch(Exception trallala){
		}
	}

	public void steuern(){		 //    alle Ampeln weiterschalten
		while(true){
			mAmpel.set(1,0,0);
			mFGA.set(1,0);
			mFGA2.set(0,1);
			repaint();
			pause(3000);
			mAmpel.set(1,1,0);
			mFGA2.set(1,0);
			repaint();
			pause(1000);
			mAmpel.set(0,0,1);
			mFGA.set(0,1);
			mFGA2.set(1,0);
			repaint();
			pause(3000);
			mAmpel.set(0,1,0);
			mFGA.set(1,0);
			repaint();
			pause(1000);
		}
	}
}
